=== debian/changelog ===
python-psutil (5.7.2-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 15 Feb 2021 13:58:25 -0500

python-psutil (5.7.2-1~bpo10+2) buster-backports; urgency=medium

  * No change, only a source upload to fix python dependencies.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 23 Sep 2020 10:37:34 +0200

python-psutil (5.7.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Add myself to uploaders for backports.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 16 Sep 2020 09:38:49 +0200

python-psutil (5.7.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump compat level to 13
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Jul 2020 22:40:28 -0400

python-psutil (5.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release; Closes: #960770
  * debian/patches/*
    - refresh patches
  * debian/copyright
    - extend packaging copyright years
  * debian/rules
    - update test runner location

 -- Sandro Tosi <morph@debian.org>  Sun, 17 May 2020 01:34:24 -0400
