=== debian/control ===
Source: python-psutil
Section: python
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               procps,
               python3-all-dbg,
               python3-all-dev,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.5.0
XS-Python-Version: all
Homepage: https://github.com/giampaolo/psutil
Vcs-Git: https://salsa.debian.org/python-team/modules/python-psutil.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-psutil
Testsuite: autopkgtest-pkg-python

Package: python3-psutil
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python-psutil-doc,
Description: module providing convenience functions for managing processes (Python3)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the Python 3 version of psutil.

Package: python3-psutil-dbg
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-psutil (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: module providing convenience functions for managing processes (Python3 debug)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the debug extension for python3-psutil-.

Package: python-psutil-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: module providing convenience functions for managing processes (doc)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the documentation for psutil.
