=== debian/changelog ===
python-psutil (5.8.0-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Jan 2021 23:22:15 -0500

python-psutil (5.7.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Oct 2020 18:36:07 -0400
