=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-           Dylan Aïssi <daissi@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                procps,
@@ -13,11 +11,11 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 XS-Python-Version: all
 Homepage: https://github.com/giampaolo/psutil
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-psutil.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-psutil
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-psutil.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-psutil
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-psutil
