## python-psutil 5.9.0

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,12 @@
 	coverage \
 	flake8 \
 	flake8-print \
+	isort \
 	pyperf \
 	pypinfo \
 	requests \
 	setuptools \
+	sphinx_rtd_theme \
 	twine \
 	virtualenv \
 	wheel
@@ -38,16 +40,16 @@
 # In not in a virtualenv, add --user options for install commands.
 INSTALL_OPTS = `$(PYTHON) -c \
 	"import sys; print('' if hasattr(sys, 'real_prefix') else '--user')"`
-TEST_PREFIX = PYTHONWARNINGS=always PSUTIL_TESTING=1 PSUTIL_DEBUG=1
-
-all: test
+TEST_PREFIX = PYTHONWARNINGS=always PSUTIL_DEBUG=1
+
+all: help
 
 # ===================================================================
 # Install
 # ===================================================================
 
 clean:  ## Remove all build files.
-	rm -rf `find . -type d -name __pycache__ \
+	@rm -rfv `find . -type d -name __pycache__ \
 		-o -type f -name \*.bak \
 		-o -type f -name \*.orig \
 		-o -type f -name \*.pyc \
@@ -57,7 +59,7 @@
 		-o -type f -name \*.so \
 		-o -type f -name \*.~ \
 		-o -type f -name \*\$testfn`
-	rm -rf \
+	@rm -rfv \
 		*.core \
 		*.egg-info \
 		*\@psutil-* \
@@ -186,18 +188,29 @@
 # Linters
 # ===================================================================
 
-lint-py:  ## Run Python (flake8) linter.
+check-flake8:  ## Run flake8 linter.
 	@git ls-files '*.py' | xargs $(PYTHON) -m flake8 --config=.flake8
 
-lint-c:  ## Run  C linter.
+check-imports:  ## Run isort linter.
+	@git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg --check-only
+
+check-c-code:  ## Run C linter.
 	@git ls-files '*.c' '*.h' | xargs $(PYTHON) scripts/internal/clinter.py
 
-lint:  ## Run Python (flake8) and C linters.
-	${MAKE} lint-py
-	${MAKE} lint-c
-
-fix-lint:  ## Attempt to automatically fix some Python lint issues.
+lint:  ## Run all linters
+	${MAKE} check-flake8
+	${MAKE} check-imports
+	${MAKE} check-c-code
+
+# ===================================================================
+# Fixers
+# ===================================================================
+
+fix-flake8:  ## Attempt to automatically fix some Python flake8 issues.
 	@git ls-files | grep \\.py$ | xargs $(PYTHON) -m flake8 --exit-zero | $(PYTHON) scripts/internal/fix_flake8.py
+
+fix-imports:  ## Fix imports with isort.
+	@git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg
 
 # ===================================================================
 # GIT
@@ -213,9 +226,11 @@
 
 download-wheels-github:  ## Download latest wheels hosted on github.
 	$(PYTHON) scripts/internal/download_wheels_github.py --tokenfile=~/.github.token
+	${MAKE} print-wheels
 
 download-wheels-appveyor:  ## Download latest wheels hosted on appveyor.
 	$(PYTHON) scripts/internal/download_wheels_appveyor.py
+	${MAKE} print-wheels
 
 print-wheels:  ## Print downloaded wheels
 	$(PYTHON) scripts/internal/print_wheels.py
@@ -324,7 +339,3 @@
 	$(TEST_PREFIX) $(PYTHON) scripts/internal/bench_oneshot_2.py
 
 check-broken-links:  ## Look for broken links in source files.
-	git ls-files | xargs $(PYTHON) -Wa scripts/internal/check_broken_links.py
-
-help: ## Display callable targets.
-	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'
