=== debian/changelog ===
python-psutil (5.9.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:00:47 +0000

python-psutil (5.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches
  * debian/control
    - drop XS-Python-Version
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/watch
    - track github tags

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Dec 2021 22:30:40 -0500

python-psutil (5.8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-psutil-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * remove -dbg package; Closes: #994364

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 19:31:08 -0400
