=== debian/control ===
--- 
+++ 
@@ -6,13 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                procps,
-               python3-all-dbg,
                python3-all-dev,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.5.1
-XS-Python-Version: all
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/giampaolo/psutil
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-psutil.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-psutil
@@ -34,23 +32,6 @@
  .
  This package contains the Python 3 version of psutil.
 
-Package: python3-psutil-dbg
-Section: debug
-Architecture: any
-Depends: python3-dbg,
-         python3-psutil (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: module providing convenience functions for managing processes (Python3 debug)
- psutil is a module providing an interface for retrieving information on
- running processes and system utilization (CPU, memory) in a portable way
- by using Python, implementing many functionalities offered by tools like
- ps, top and Windows task manager.
- .
- It currently supports Linux, OS X, FreeBSD and Windows.
- .
- This package contains the debug extension for python3-psutil-.
-
 Package: python-psutil-doc
 Section: doc
 Architecture: all
