=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 	set -e ; \
 	for python in $(PY3VERS); do \
 		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil; \
-		$$python-dbg setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil-dbg; \
 	done
 
 
@@ -29,8 +28,3 @@
 
 override_dh_compress:
 	dh_compress -X.py
-
-override_dh_strip:
-ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -ppython3-psutil --dbg-package=python3-psutil-dbg
-endif
