## python-psutil 5.9.4

=== Makefile ===
--- 
+++ 
@@ -9,13 +9,19 @@
 
 # Internal.
 DEPS = \
-	argparse \
+	autoflake \
+	autopep8 \
 	check-manifest \
 	concurrencytest \
 	coverage \
 	flake8 \
+	flake8-blind-except \
+	flake8-bugbear \
+	flake8-debugger \
 	flake8-print \
+	flake8-quotes \
 	isort \
+	pep8-naming \
 	pyperf \
 	pypinfo \
 	requests \
@@ -27,8 +33,7 @@
 PY2_DEPS = \
 	futures \
 	ipaddress \
-	mock==1.0.1 \
-	unittest2
+	mock
 DEPS += `$(PYTHON) -c \
 	"import sys; print('$(PY2_DEPS)' if sys.version_info[0] == 2 else '')"`
 # "python3 setup.py build" can be parallelized on Python >= 3.6.
@@ -39,10 +44,11 @@
 	print('--parallel %s' % cpus if cpus > 1 else '')"`
 # In not in a virtualenv, add --user options for install commands.
 INSTALL_OPTS = `$(PYTHON) -c \
-	"import sys; print('' if hasattr(sys, 'real_prefix') else '--user')"`
+	"import sys; print('' if hasattr(sys, 'real_prefix') or hasattr(sys, 'base_prefix') and sys.base_prefix != sys.prefix else '--user')"`
 TEST_PREFIX = PYTHONWARNINGS=always PSUTIL_DEBUG=1
 
-all: help
+# if make is invoked with no arg, default to `make help`
+.DEFAULT_GOAL := help
 
 # ===================================================================
 # Install
@@ -70,17 +76,14 @@
 		docs/_build/ \
 		htmlcov/
 
-_:
-
-build: _  ## Compile (in parallel) without installing.
+.PHONY: build
+build:  ## Compile (in parallel) without installing.
 	@# "build_ext -i" copies compiled *.so files in ./psutil directory in order
 	@# to allow "import psutil" when using the interactive interpreter from
 	@# within  this directory.
 	PYTHONWARNINGS=all $(PYTHON) setup.py build_ext -i $(BUILD_OPTS)
 
 install:  ## Install this package as current user in "edit" mode.
-	# make sure setuptools is installed (needed for 'develop' / edit mode)
-	$(PYTHON) -c "import setuptools"
 	${MAKE} build
 	PYTHONWARNINGS=all $(PYTHON) setup.py develop $(INSTALL_OPTS)
 	$(PYTHON) -c "import psutil"  # make sure it actually worked
@@ -188,29 +191,34 @@
 # Linters
 # ===================================================================
 
-check-flake8:  ## Run flake8 linter.
+flake8:  ## Run flake8 linter.
 	@git ls-files '*.py' | xargs $(PYTHON) -m flake8 --config=.flake8
 
-check-imports:  ## Run isort linter.
-	@git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg --check-only
-
-check-c-code:  ## Run C linter.
+isort:  ## Run isort linter.
+	@git ls-files '*.py' | xargs $(PYTHON) -m isort --check-only
+
+c-linter:  ## Run C linter.
 	@git ls-files '*.c' '*.h' | xargs $(PYTHON) scripts/internal/clinter.py
 
-lint:  ## Run all linters
-	${MAKE} check-flake8
-	${MAKE} check-imports
-	${MAKE} check-c-code
+lint-all:  ## Run all linters
+	${MAKE} flake8
+	${MAKE} isort
+	${MAKE} c-linter
 
 # ===================================================================
 # Fixers
 # ===================================================================
 
-fix-flake8:  ## Attempt to automatically fix some Python flake8 issues.
-	@git ls-files | grep \\.py$ | xargs $(PYTHON) -m flake8 --exit-zero | $(PYTHON) scripts/internal/fix_flake8.py
+fix-flake8:  ## Run autopep8, fix some Python flake8 / pep8 issues.
+	@git ls-files '*.py' | xargs $(PYTHON) -m autopep8 --in-place --jobs 0 --global-config=.flake8
+	@git ls-files '*.py' | xargs $(PYTHON) -m autoflake --in-place --jobs 0 --remove-all-unused-imports --remove-unused-variables --remove-duplicate-keys
 
 fix-imports:  ## Fix imports with isort.
-	@git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg
+	@git ls-files '*.py' | xargs $(PYTHON) -m isort
+
+fix-all:  ## Run all code fixers.
+	${MAKE} fix-flake8
+	${MAKE} fix-imports
 
 # ===================================================================
 # GIT
@@ -240,20 +248,13 @@
 # ===================================================================
 
 git-tag-release:  ## Git-tag a new release.
-	git tag -a release-`python -c "import setup; print(setup.get_version())"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
+	git tag -a release-`python3 -c "import setup; print(setup.get_version())"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
 	git push --follow-tags
 
 sdist:  ## Create tar.gz source distribution.
 	${MAKE} generate-manifest
 	$(PYTHON) setup.py sdist
 	$(PYTHON) -m twine check dist/*.tar.gz
-
-upload-src:  ## Upload source tarball on https://pypi.org/project/psutil/
-	${MAKE} sdist
-	$(PYTHON) -m twine upload dist/*.tar.gz
-
-upload-wheels:  ## Upload wheels in dist/* directory on PyPI.
-	$(PYTHON) -m twine upload dist/*.whl
 
 # --- others
 
@@ -264,9 +265,6 @@
 	PYTHONWARNINGS=all $(PYTHON) setup.py sdist
 	build/venv/bin/python -m pip install -v --isolated --quiet dist/*.tar.gz
 	build/venv/bin/python -c "import os; os.chdir('build/venv'); import psutil"
-
-tidelift-relnotes:  ## upload release notes from HISTORY
-	$(PYTHON) scripts/internal/tidelift.py
 
 pre-release:  ## Check if we're ready to produce a new release.
 	${MAKE} check-sdist
@@ -288,10 +286,9 @@
 		assert 'XXXX' not in history, 'XXXX in HISTORY.rst';"
 
 release:  ## Create a release (down/uploads tar.gz, wheels, git tag release).
-	$(PYTHON) -c "import subprocess, sys; out = subprocess.check_output('git diff --quiet && git diff --cached --quiet', shell=True).strip(); sys.exit('there are uncommitted changes:\n%s' % out) if out else 0 ;"
+	$(PYTHON) -m twine check dist/*
 	$(PYTHON) -m twine upload dist/*  # upload tar.gz and Windows wheels on PyPI
 	${MAKE} git-tag-release
-	${MAKE} tidelift-relnotes
 
 check-manifest:  ## Inspect MANIFEST.in file.
 	$(PYTHON) -m check_manifest -v $(ARGS)
@@ -339,3 +336,7 @@
 	$(TEST_PREFIX) $(PYTHON) scripts/internal/bench_oneshot_2.py
 
 check-broken-links:  ## Look for broken links in source files.
+	git ls-files | xargs $(PYTHON) -Wa scripts/internal/check_broken_links.py
+
+help: ## Display callable targets.
+	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'
