=== debian/changelog ===
python-psutil (5.9.4-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - for tests, pretend Debian build is like CI, to prevent random testsuite
      lockups
  * debian/control
    - bump Standards-Version to 4.6.1.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Dec 2022 01:45:09 -0500

python-psutil (5.9.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Sep 2022 22:08:18 -0400
