=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 PY3VERS := $(shell py3versions -s)
 
 export PYBUILD_AFTER_BUILD=$(MAKE) -C docs html PYTHON=python3
+
+# fake CI running, https://github.com/giampaolo/psutil/issues/2104
+export APPVEYOR=
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
